<?php
/**
 * Activatelife engine room
 *
 * @package activatelife
 */

/**
 * Assign the Activatelife version to a var
 */
$theme                = wp_get_theme( 'activatelife' );
$activatelife_version = $theme['Version'];

/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 980; /* pixels */
}

$activatelife = (object) array(
	'version'    => $activatelife_version,

	/**
	 * Initialize all the things.
	 */
	'main'       => require 'inc/class-main.php',
	'customizer' => require 'inc/customizer/class-customizer.php',
);

require 'inc/functions.php';
require 'inc/template-hooks.php';
require 'inc/template-functions.php';
require 'inc/wordpress-shims.php';

if ( activatelife_is_woocommerce_activated() ) {
	$activatelife->woocommerce            = require 'inc/woocommerce/class-woocommerce.php';
	$activatelife->woocommerce_customizer = require 'inc/woocommerce/class-woocommerce-customizer.php';

	require 'inc/woocommerce/class-woocommerce-adjacent-products.php';
	require 'inc/woocommerce/woocommerce-template-functions.php';
	require 'inc/woocommerce/woocommerce-functions.php';
	require 'inc/woocommerce/woocommerce-template-hooks.php';
	require 'inc/woocommerce/template-hooks.php';
}

if ( is_admin() ) {
	$activatelife->admin = require 'inc/admin/class-admin.php';
	require 'inc/admin/class-plugin-install.php';
}

/**
 * NUX
 * Only load if wp version is 4.7.3 or above because of this issue;
 * https://core.trac.wordpress.org/ticket/39610?cversion=1&cnum_hist=2
 */
if ( version_compare( get_bloginfo( 'version' ), '4.7.3', '>=' ) && ( is_admin() || is_customize_preview() ) ) {
	require 'inc/nux/class-nux-admin.php';
	require 'inc/nux/class-nux-guided-tour.php';

	if ( defined( 'WC_VERSION' ) && version_compare( WC_VERSION, '3.0.0', '>=' ) ) {
		require 'inc/nux/class-nux-starter-content.php';
	}
}
/**
 * Note: Do not add any custom code here. Please use a custom plugin so that your customizations aren't lost during updates.
 * https://github.com/woocommerce/theme-customisations
 */
