<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package activatelife
 */

?><!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=2.0">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<?php do_action( 'activatelife_before_site' ); ?>

<div id="page" class="hfeed site">
	<?php do_action( 'activatelife_before_header' ); ?>

	<header id="masthead" class="site-header" role="banner" style="<?php activatelife_header_styles(); ?>">

		<?php
		/**
		 * Functions hooked in to activatelife_header action
		 *
		 * @see activatelife_header_container                 - 0
		 * @see activatelife_skip_links                       - 5
		 * @see activatelife_site_branding                    - 20
		 * @see activatelife_primary_navigation               - 30
		 * @see activatelife_header_extras_wrapper       	  - 40
		 * @see activatelife_search_toggle                    - 50
		 * @see activatelife_woocommerce_cart_link            - 60 - woo
		 * @see activatelife_header_extras_wrapper_close 	  - 70
		 * @see activatelife_header_container_close           - 90
		 * @see activatelife_search_modal           		  - 90
		 */

		do_action( 'activatelife_header' );

		?>

	</header><!-- #masthead -->

	<?php
	/**
	 * Functions hooked in to activatelife_before_content
	 *
	 * @see woocommerce_breadcrumb - 10 - woo
	 */
	do_action( 'activatelife_before_content' );
	?>

	<div id="content" class="site-content" tabindex="-1">
		<div class="col-full">

		<?php
		/**
		 * Functions hooked in to activatelife_content_top action
		 *
		 * @see woocommerce_breadcrumb                 - 10 - woo
		 * @see activatelife_shop_messages             - 15 - woo
		 */
		 do_action( 'activatelife_content_top' );
