<?php
/**
 * Activatelife WooCommerce hooks
 *
 * @package activatelife
 */

/**
 * Layout
 *
 * @see  activatelife_before_content()
 * @see  activatelife_after_content()
 * @see  woocommerce_breadcrumb()
 */
remove_action('woocommerce_before_main_content', 'woocommerce_breadcrumb', 20);
remove_action('woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action('woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);
remove_action('woocommerce_after_shop_loop', 'woocommerce_pagination', 10);
remove_action('woocommerce_before_shop_loop', 'woocommerce_result_count', 20);
remove_action('woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30);

add_action('woocommerce_before_main_content', 'activatelife_before_content', 10);
add_action('woocommerce_after_main_content', 'activatelife_after_content', 10);

add_action('woocommerce_after_shop_loop', 'activatelife_sorting_wrapper', 9);
add_action('woocommerce_after_shop_loop', 'woocommerce_catalog_ordering', 10);
add_action('woocommerce_after_shop_loop', 'woocommerce_result_count', 20);
add_action('woocommerce_after_shop_loop', 'woocommerce_pagination', 30);
add_action('woocommerce_after_shop_loop', 'activatelife_sorting_wrapper_close', 31);

add_action('woocommerce_before_shop_loop', 'activatelife_sorting_wrapper', 9);
add_action('woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 10);
add_action('woocommerce_before_shop_loop', 'woocommerce_result_count', 20);
add_action('woocommerce_before_shop_loop', 'activatelife_woocommerce_pagination', 30);
add_action('woocommerce_before_shop_loop', 'activatelife_sorting_wrapper_close', 31);


// Legacy WooCommerce columns filter.
if (defined('WC_VERSION') && version_compare(WC_VERSION, '3.3', '<')) {
	add_filter('loop_shop_columns', 'activatelife_loop_columns');
	add_action('woocommerce_before_shop_loop', 'activatelife_product_columns_wrapper', 40);
	add_action('woocommerce_after_shop_loop', 'activatelife_product_columns_wrapper_close', 40);
}

/**
 * Products
 *
 * @see activatelife_edit_post_link()
 * @see activatelife_upsell_display()
 * @see activatelife_single_product_pagination()
 * @see activatelife_sticky_single_add_to_cart()
 */
add_action('woocommerce_single_product_summary', 'activatelife_edit_post_link', 60);

remove_action('woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15);
add_action('woocommerce_after_single_product_summary', 'activatelife_upsell_display', 15);

remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 6);

add_action('woocommerce_after_single_product_summary', 'activatelife_single_product_pagination', 30);

/**
 * Cart fragment
 *
 * @see activatelife_cart_link_fragment()
 */
if (defined('WC_VERSION') && version_compare(WC_VERSION, '2.3', '>=')) {
	add_filter('woocommerce_add_to_cart_fragments', 'activatelife_cart_link_fragment');
} else {
	add_filter('add_to_cart_fragments', 'activatelife_cart_link_fragment');
}

/*
 *
 * extension
 *
 * */

//// Wishlist
//if (activatelife_is_extension_activated('YITH_WCWL')) {
//	add_action('woocommerce_after_shop_loop_item', 'activatelife_woocommerce_product_loop_wishlist_button', 5);
//}
//// Compare
//if (activatelife_is_extension_activated('YITH_WOOCOMPARE')) {
//	add_action('woocommerce_after_shop_loop_item', 'activatelife_woocommerce_product_loop_compare_button', 10);
//}
//// QuickView
//if (activatelife_is_extension_activated('YITH_WCQV')) {
//	remove_action('woocommerce_after_shop_loop_item', array(YITH_WCQV_Frontend::get_instance(), 'yith_add_quick_view_button'), 15);
//	add_action('woocommerce_after_shop_loop_item', array(YITH_WCQV_Frontend::get_instance(), 'yith_add_quick_view_button'), 15);
//}
