<?php
/**
 * The template for displaying the homepage.
 *
 * This page template will display any functions hooked into the `homepage` action.
 * By default this includes a variety of product displays and the page content itself. To change the order or toggle these components
 * use the Homepage Control plugin.
 * https://wordpress.org/plugins/homepage-control/
 *
 * Template name: Homepage
 *
 * @package activatelife
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			/**
			 * Functions hooked in to homepage action
			 *
			 * @see activatelife_homepage_content      - 10
			 * @see activatelife_product_categories    - 20
			 * @see activatelife_recent_products       - 30
			 * @see activatelife_featured_products     - 40
			 * @see activatelife_popular_products      - 50
			 * @see activatelife_on_sale_products      - 60
			 * @see activatelife_best_selling_products - 70
			 */
			do_action( 'homepage' );
			?>

		</main><!-- #main -->
	</div><!-- #primary -->
<?php
get_footer();
